public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/actionpack-xml_parser/
Date: Mon, 17 Jul 2023 04:55:11 +0000 (UTC)	[thread overview]
Message-ID: <1689568976.e09bcaad489e46192d78f0290804555bc28a0df5.graaff@gentoo> (raw)

commit:     e09bcaad489e46192d78f0290804555bc28a0df5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 17 04:42:56 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 17 04:42:56 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e09bcaad

dev-ruby/actionpack-xml_parser: update EAPI 7 -> 8

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 .../actionpack-xml_parser-2.0.1-r3.ebuild          | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r3.ebuild b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r3.ebuild
new file mode 100644
index 000000000000..94174f034697
--- /dev/null
+++ b/dev-ruby/actionpack-xml_parser/actionpack-xml_parser-2.0.1-r3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_GEMSPEC="actionpack-xml_parser.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="XML parameters parser for Action Pack (removed from core in Rails 4.0)"
+HOMEPAGE="https://github.com/rails/actionpack-xml_parser"
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="2"
+IUSE=""
+
+ruby_add_rdepend "
+	|| ( dev-ruby/actionpack:6.1 )
+	|| ( dev-ruby/railties:6.1 )
+"
+
+ruby_add_bdepend "test? ( =dev-ruby/railties-6* )"
+
+all_ruby_prepare() {
+	sed -i -e "/bundler/d" Rakefile test/helper.rb || die
+	sed -i -e '1igem "actionpack", "~>6.0"' test/helper.rb || die
+
+	# Skip test that is not compatible with Rails 5.2
+	sed -i -e '/occurring a parse error if parsing unsuccessful/askip "rails 5.2"' test/xml_params_parsing_test.rb || die
+}
+
+each_ruby_test() {
+	MT_NO_PLUGINS=true ${RUBY} -Ilib:.:test -e "Dir['test/*_test.rb'].each{|f| require f}" || die
+}


             reply	other threads:[~2023-07-17  4:55 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-17  4:55 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-19 12:53 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/actionpack-xml_parser/ Hans de Graaff
2025-01-11  8:17 Hans de Graaff
2023-09-16  5:30 Hans de Graaff
2023-07-17  4:55 Hans de Graaff
2023-03-26  8:03 Hans de Graaff
2022-12-07 17:57 Hans de Graaff
2022-12-07 17:57 Hans de Graaff
2022-05-08  5:44 Hans de Graaff
2021-07-18  5:59 Hans de Graaff
2021-07-07 19:15 Hans de Graaff
2020-05-05  8:06 Hans de Graaff
2019-12-15  7:22 Hans de Graaff
2018-04-28  7:09 Hans de Graaff
2018-04-28  7:09 Hans de Graaff
2018-03-22  6:50 Hans de Graaff
2017-05-12  6:36 Hans de Graaff
2016-09-10  5:51 Hans de Graaff
2016-07-23 19:09 Hans de Graaff
2016-03-13 13:33 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1689568976.e09bcaad489e46192d78f0290804555bc28a0df5.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox